Page MenuHomePhabricator

GrowthExperiments Homepage tests
Closed, ResolvedPublic

Description

Create 3 tests with new users

  • Delete the admin changing preferences test
  • Create user and check that it has homepage enabled
  • Create user check disable homepage
  • Create user & disable page, check disabled by going to homepage, then enable page and check that homepage is enabled

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 31 2019, 2:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 552661 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/GrowthExperiments@master] Selenium: replaced admin test with new user test

https://gerrit.wikimedia.org/r/552661

Ephemeralwaves updated the task description. (Show Details)
zeljkofilipin triaged this task as Medium priority.Nov 26 2019, 2:56 PM

Change 553816 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/GrowthExperiments@master] Selenium: add test for disabling and enabling a new user's homepage

https://gerrit.wikimedia.org/r/553816

Change 553816 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Selenium: add test for disabling and enabling a new user's homepage

https://gerrit.wikimedia.org/r/553816

Change 552661 abandoned by Zfilipin:
Selenium: replaced admin test with new user test

Reason:
Already implemented in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/ /546361

https://gerrit.wikimedia.org/r/552661

zeljkofilipin closed this task as Resolved.Dec 9 2019, 12:36 PM

Looks like this is resolved. Please reopen if there's anything left to do here.

I'd like to see a test which opens the homepage, enables the Suggested Edits module, clicks on a task, and verifies that the browser is on the URL associated with that task. I realize that's a lot to ask for though :)

I doesn't sound hard to do, if I've understood it correctly. Let me know if you would like to pair on creating the test.

I'd like to see a test which opens the homepage, enables the Suggested Edits module, clicks on a task, and verifies that the browser is on the URL associated with that task. I realize that's a lot to ask for though :)

I created a separate task for Suggested edits - T240244 for Outreachy work.

Change 597282 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Selenium: Skip flaky homepage test

https://gerrit.wikimedia.org/r/597282

Change 597282 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Selenium: Skip flaky homepage test

https://gerrit.wikimedia.org/r/597282